__gnu_cxx::free_list(3)

NAME
__gnu_cxx::free_list -

SYNOPSIS

Inherited by bitmap_allocator [private].

Detailed Description

Definition at line 708 of file bitmap_allocator.h.

  Public Member Functions
void _M_clear ()
size_t * _M_get (size_t __sz) throw (std::bad_alloc)
void _M_insert (size_t *__addr) throw ()

Member Function Documentation

  void _M_clear ()

This function just clears the internal Free List, and gives back all the memory to the OS.

  size_t* _M_get (size_t __sz) throw (std::bad_alloc)

This function gets a block of memory of the specified size from the free list.

Parameters:
    __sz The size in bytes of the memory required.

Returns:
    A pointer to the new memory block of size at least equal to that requested.

  void _M_insert (size_t * __addr) throw () [inline]

This function returns the block of memory to the internal free list.

Parameters:
    __addr The pointer to the memory block that was given by a call to the _M_get function.

Definition at line 815 of file bitmap_allocator.h.

Referenced by bitmap_allocator::_M_deallocate_single_object().

Author

Generated automatically by Doxygen for libstdc++ from the source code.